Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgument

    java.lang.Object
      com.beasys.commerce.util.CommandLineArgument

Deprecated Use `CommandLineArgument`

    @Deprecated
    public class CommandLineArgument

extends Object

Representation of a command line argument.

Field Summary
`protected String` | `defaultValue` Deprecated See BEA Commerce product offering
`protected String` | `description` Deprecated See BEA Commerce product offering
`protected String` | `flag` Deprecated See BEA Commerce product offering
`protected boolean` | `required` Deprecated See BEA Commerce product offering
`protected boolean` | `requiresFlagValue` Deprecated See BEA Commerce product offering

Constructor Summary
`CommandLineArgument(String aFlag, boolean requiresValue, boolean required)` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `equals(Object anObject)` Deprecated See BEA Commerce product offering
`String` | `getDefaultValue()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`String` | `getFlag()` Deprecated See BEA Commerce product offering
`boolean` | `isRequired()` Deprecated See BEA Commerce product offering
`boolean` | `requiresFlagValue()` Deprecated See BEA Commerce product offering
`void` | `setDefaultValue(String aDefaultValue)` Deprecated See BEA Commerce product offering
`void` | `setDescription(String aDescription)` Deprecated See BEA Commerce product offering
`void` | `setFlag(String aFlag)` Deprecated See BEA Commerce product offering
`void` | `setRequired(boolean aBool)` Deprecated See BEA Commerce product offering
`void` | `setRequiresFlagValue(boolean aBool)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flag

    protected String flag

  Deprecated See BEA Commerce product offering

### defaultValue

    protected String defaultValue

  Deprecated See BEA Commerce product offering

### description

    protected String description

  Deprecated See BEA Commerce product offering

### required

    protected boolean required

  Deprecated See BEA Commerce product offering

### requiresFlagValue

    protected boolean requiresFlagValue

  Deprecated See BEA Commerce product offering

Constructor Detail

### CommandLineArgument

    public CommandLineArgument(String aFlag,
                               boolean requiresValue,
                               boolean required)

  Deprecated See BEA Commerce product offering

  Command line argument constructor.

  Parameters
    `aFlag` -
    `requiresValue` -
    `required` -

Method Detail

### setFlag

    public void setFlag(String aFlag)

  Deprecated See BEA Commerce product offering

  Set flag.

  Parameters
    `aFlag` -

### getFlag

    public String getFlag()

  Deprecated See BEA Commerce product offering

  Get flag.

  Returns
    `String`

### getDescription

    public String getDescription()

  Deprecated See BEA Commerce product offering

  Get description.

  Returns
    `String`

### setDescription

    public void setDescription(String aDescription)

  Deprecated See BEA Commerce product offering

  Set description.

  Parameters
    `aDescription` -

### setDefaultValue

    public void setDefaultValue(String aDefaultValue)

  Deprecated See BEA Commerce product offering

  Set default value.

  Parameters
    `aDefaultValue` -

### getDefaultValue

    public String getDefaultValue()

  Deprecated See BEA Commerce product offering

  Get default value.

  Returns
    `String`

### setRequired

    public void setRequired(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set required.

  Parameters
    `aBool` -

### isRequired

    public boolean isRequired()

  Deprecated See BEA Commerce product offering

  Is required.

  Returns
    `boolean`

### setRequiresFlagValue

    public void setRequiresFlagValue(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set requires flag value.

  Parameters
    `aBool` -

### requiresFlagValue

    public boolean requiresFlagValue()

  Deprecated See BEA Commerce product offering

  Requires flag value.

  Returns
    `boolean`

### equals

    public boolean equals(Object anObject)

  Deprecated See BEA Commerce product offering

  Equals.

  Overrides:
    `equals` in class `Object`
  Parameters
    `anObject` -
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved